Re: Emergency advisory for Windows XP and Resource Monitor users: please use version 16.08 or disable the add-on


Brian's Mail list account
 

One has also to be careful as some xp machines run on processors with no sse2 support, ie the amd Athlons etc. Even Ccleaner has screwed up on this one recently. It just crases in a most messy way.

Brian

bglists@...
Sent via blueyonder.
Please address personal email to:-
briang1@..., putting 'Brian Gaff'
in the display name field.

----- Original Message -----
From: "Joseph Lee" <joseph.lee22590@...>
To: <nvda@nvda.groups.io>
Sent: Sunday, July 16, 2017 9:26 PM
Subject: [nvda] Emergency advisory for Windows XP and Resource Monitor users: please use version 16.08 or disable the add-on


Hi all,



Emergency advisory notice for Windows XP users using Resource Monitor: as
part of Resource Monitor 17.02, I have updated psutil to 5.0.1. This is
causing an error message to be shown for Windows XP users as newer psutil
versions aren't compatible with it. The last version of psutil and Resource
monitor that's compatible with Windows XP are 3.4.2 and 16.08, respectively.



Until further notice, I advise Windows XP users to either use version 16.08
or disable the add-on. If you do downgrade to 16.08, you'll lose uptime
announcement (NVDA+Shift+7) and bug fix for disk status command (fixes
introduced in 17.02).



There are several ways of resolving this:



1. Bundle an old version of psutil package with the add-on. This may
introduce compatibility problems.
2. Disable support for XP: catch the error and tell XP users that some
add-on features aren't compatible.
3. Remove support for XP. However, this runs into issues for those who
rely on XP.



Cheers,

Joseph

Join nvda@nvda.groups.io to automatically receive all group messages.